Skip to main content

Amazon-Seller-Partner full reference

This is the full reference documentation for the Amazon-Seller-Partner agent connector.

Supported entities and actions

The Amazon-Seller-Partner connector supports the following entities and actions.

EntityActions
OrdersList, Get, Search
Order ItemsList, Search
List Financial Event GroupsList, Search
List Financial EventsList, Search
Catalog ItemsList, Get
ReportsList, Get

Orders

Orders List

Returns a list of orders based on the specified parameters.

Python SDK

await amazon_seller_partner.orders.list(
marketplace_ids="<str>"
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "orders",
"action": "list",
"params": {
"MarketplaceIds": "<str>"
}
}'

Parameters

Parameter NameTypeRequiredDescription
MarketplaceIdsstringYesA list of MarketplaceId values. Used to select orders placed in the specified marketplaces.
CreatedAfterstringNoA date used for selecting orders created after the specified date (ISO 8601 format). Required if LastUpdatedAfter is not set.
CreatedBeforestringNoA date used for selecting orders created before the specified date (ISO 8601 format).
LastUpdatedAfterstringNoA date used for selecting orders that were last updated after the specified date (ISO 8601 format).
LastUpdatedBeforestringNoA date used for selecting orders that were last updated before the specified date (ISO 8601 format).
OrderStatusesstringNoFilter by order status values.
MaxResultsPerPageintegerNoMaximum number of results to return per page.
NextTokenstringNoA string token returned in a previous response for pagination.
Response Schema

Records

Field NameTypeDescription
AmazonOrderIdstring
SellerOrderIdstring
PurchaseDatestring
LastUpdateDatestring
OrderStatus"Pending" | "Unshipped" | "PartiallyShipped" | "Shipped" | "Canceled" | "Unfulfillable" | "InvoiceUnconfirmed" | "PendingAvailability"
FulfillmentChannelstring
SalesChannelstring
ShipServiceLevelstring
OrderTotalobject
NumberOfItemsShippedinteger
NumberOfItemsUnshippedinteger
PaymentMethodstring
PaymentMethodDetailsarray<string>
MarketplaceIdstring
ShipmentServiceLevelCategorystring
OrderTypestring
EarliestShipDatestring
LatestShipDatestring
EarliestDeliveryDatestring
LatestDeliveryDatestring
IsBusinessOrderboolean
IsPrimeboolean
IsGlobalExpressEnabledboolean
IsPremiumOrderboolean
IsSoldByABboolean
IsReplacementOrderstring
IsISPUboolean
IsAccessPointOrderboolean
HasRegulatedItemsboolean
ShippingAddressobject
DefaultShipFromLocationAddressobject
AutomatedShippingSettingsobject
BuyerInfoobject

Meta

Field NameTypeDescription
next_tokenstring

Orders Get

Returns the order indicated by the specified order ID.

Python SDK

await amazon_seller_partner.orders.get(
order_id="<str>"
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "orders",
"action": "get",
"params": {
"orderId": "<str>"
}
}'

Parameters

Parameter NameTypeRequiredDescription
orderIdstringYesAn Amazon order identifier in 3-7-7 format.

Search and filter orders records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

Python SDK

await amazon_seller_partner.orders.search(
query={"filter": {"eq": {"AmazonOrderId": "<str>"}}}
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "orders",
"action": "search",
"params": {
"query": {"filter": {"eq": {"AmazonOrderId": "<str>"}}}
}
}'

Parameters

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields

Field NameTypeDescription
AmazonOrderIdstringUnique identifier for the Amazon order
AutomatedShippingSettingsobjectSettings related to automated shipping processes
BuyerInfoobjectInformation about the buyer
DefaultShipFromLocationAddressobjectThe default address from which orders are shipped
EarliestDeliveryDatestringEarliest estimated delivery date of the order
EarliestShipDatestringEarliest shipment date for the order
FulfillmentChannelstringChannel through which the order is fulfilled
HasRegulatedItemsbooleanIndicates if the order has regulated items
IsAccessPointOrderbooleanIndicates if the order is an Amazon Hub Counter order
IsBusinessOrderbooleanIndicates if the order is a business order
IsGlobalExpressEnabledbooleanIndicates if global express is enabled for the order
IsISPUbooleanIndicates if the order is for In-Store Pickup
IsPremiumOrderbooleanIndicates if the order is a premium order
IsPrimebooleanIndicates if the order is a Prime order
IsReplacementOrderstringIndicates if the order is a replacement order
IsSoldByABbooleanIndicates if the order is sold by Amazon Business
LastUpdateDatestringDate and time when the order was last updated
LatestDeliveryDatestringLatest estimated delivery date of the order
LatestShipDatestringLatest shipment date for the order
MarketplaceIdstringIdentifier for the marketplace where the order was placed
NumberOfItemsShippedintegerNumber of items shipped in the order
NumberOfItemsUnshippedintegerNumber of items yet to be shipped in the order
OrderStatusstringStatus of the order
OrderTotalobjectTotal amount of the order
OrderTypestringType of the order
PaymentMethodstringPayment method used for the order
PaymentMethodDetailsarrayDetails of the payment method used for the order
PurchaseDatestringDate and time when the order was purchased
SalesChannelstringChannel through which the order was sold
SellerOrderIdstringUnique identifier given by the seller for the order
ShipServiceLevelstringService level for shipping the order
ShipmentServiceLevelCategorystringService level category for shipping the order
ShippingAddressobjectThe address to which the order will be shipped
seller_idstringIdentifier for the seller associated with the order
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[].AmazonOrderIdstringUnique identifier for the Amazon order
data[].AutomatedShippingSettingsobjectSettings related to automated shipping processes
data[].BuyerInfoobjectInformation about the buyer
data[].DefaultShipFromLocationAddressobjectThe default address from which orders are shipped
data[].EarliestDeliveryDatestringEarliest estimated delivery date of the order
data[].EarliestShipDatestringEarliest shipment date for the order
data[].FulfillmentChannelstringChannel through which the order is fulfilled
data[].HasRegulatedItemsbooleanIndicates if the order has regulated items
data[].IsAccessPointOrderbooleanIndicates if the order is an Amazon Hub Counter order
data[].IsBusinessOrderbooleanIndicates if the order is a business order
data[].IsGlobalExpressEnabledbooleanIndicates if global express is enabled for the order
data[].IsISPUbooleanIndicates if the order is for In-Store Pickup
data[].IsPremiumOrderbooleanIndicates if the order is a premium order
data[].IsPrimebooleanIndicates if the order is a Prime order
data[].IsReplacementOrderstringIndicates if the order is a replacement order
data[].IsSoldByABbooleanIndicates if the order is sold by Amazon Business
data[].LastUpdateDatestringDate and time when the order was last updated
data[].LatestDeliveryDatestringLatest estimated delivery date of the order
data[].LatestShipDatestringLatest shipment date for the order
data[].MarketplaceIdstringIdentifier for the marketplace where the order was placed
data[].NumberOfItemsShippedintegerNumber of items shipped in the order
data[].NumberOfItemsUnshippedintegerNumber of items yet to be shipped in the order
data[].OrderStatusstringStatus of the order
data[].OrderTotalobjectTotal amount of the order
data[].OrderTypestringType of the order
data[].PaymentMethodstringPayment method used for the order
data[].PaymentMethodDetailsarrayDetails of the payment method used for the order
data[].PurchaseDatestringDate and time when the order was purchased
data[].SalesChannelstringChannel through which the order was sold
data[].SellerOrderIdstringUnique identifier given by the seller for the order
data[].ShipServiceLevelstringService level for shipping the order
data[].ShipmentServiceLevelCategorystringService level category for shipping the order
data[].ShippingAddressobjectThe address to which the order will be shipped
data[].seller_idstringIdentifier for the seller associated with the order

Order Items

Order Items List

Returns detailed order item information for the order indicated by the specified order ID.

Python SDK

await amazon_seller_partner.order_items.list(
order_id="<str>"
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "order_items",
"action": "list",
"params": {
"orderId": "<str>"
}
}'

Parameters

Parameter NameTypeRequiredDescription
orderIdstringYesAn Amazon order identifier in 3-7-7 format.
NextTokenstringNoA string token returned in a previous response for pagination.
Response Schema

Records

Field NameTypeDescription
OrderItemIdstring
AmazonOrderIdstring
ASINstring
SellerSKUstring
Titlestring
QuantityOrderedinteger
QuantityShippedinteger
ItemPriceobject
ItemTaxobject
ShippingPriceobject
ShippingTaxobject
ShippingDiscountobject
ShippingDiscountTaxobject
PromotionDiscountobject
PromotionDiscountTaxobject
PromotionIdsarray<string>
CODFeeobject
CODFeeDiscountobject
IsGiftstring
ConditionIdstring
ConditionSubtypeIdstring
ConditionNotestring
IsTransparencyboolean
SerialNumberRequiredboolean
IossNumberstring
DeemedResellerCategorystring
StoreChainStoreIdstring
ProductInfoobject
BuyerInfoobject
BuyerRequestedCancelobject
PointsGrantedobject
TaxCollectionobject
PriceDesignationstring

Meta

Field NameTypeDescription
next_tokenstring

Search and filter order items records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

Python SDK

await amazon_seller_partner.order_items.search(
query={"filter": {"eq": {"ASIN": "<str>"}}}
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "order_items",
"action": "search",
"params": {
"query": {"filter": {"eq": {"ASIN": "<str>"}}}
}
}'

Parameters

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields

Field NameTypeDescription
ASINstringAmazon Standard Identification Number of the product
AmazonOrderIdstringID of the Amazon order
BuyerInfoobjectInformation about the buyer
BuyerRequestedCancelobjectInformation about buyer's request for cancellation
CODFeeobjectCash on delivery fee
CODFeeDiscountobjectDiscount on cash on delivery fee
ConditionIdstringCondition ID of the product
ConditionNotestringAdditional notes on the condition of the product
ConditionSubtypeIdstringSubtype ID of the product condition
DeemedResellerCategorystringCategory indicating if the seller is considered a reseller
IossNumberstringImport One Stop Shop number
IsGiftstringFlag indicating if the order is a gift
IsTransparencybooleanFlag indicating if transparency is applied
ItemPriceobjectPrice of the item
ItemTaxobjectTax applied on the item
LastUpdateDatestringDate and time of the last update
OrderItemIdstringID of the order item
PointsGrantedobjectPoints granted for the purchase
PriceDesignationstringDesignation of the price
ProductInfoobjectInformation about the product
PromotionDiscountobjectDiscount applied due to promotion
PromotionDiscountTaxobjectTax applied on the promotion discount
PromotionIdsarrayIDs of promotions applied
QuantityOrderedintegerQuantity of the item ordered
QuantityShippedintegerQuantity of the item shipped
ScheduledDeliveryEndDatestringEnd date for scheduled delivery
ScheduledDeliveryStartDatestringStart date for scheduled delivery
SellerSKUstringSKU of the seller
SerialNumberRequiredbooleanFlag indicating if serial number is required
SerialNumbersarrayList of serial numbers
ShippingDiscountobjectDiscount applied on shipping
ShippingDiscountTaxobjectTax applied on the shipping discount
ShippingPriceobjectPrice of shipping
ShippingTaxobjectTax applied on shipping
StoreChainStoreIdstringID of the store chain
TaxCollectionobjectInformation about tax collection
TitlestringTitle of the product
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[].ASINstringAmazon Standard Identification Number of the product
data[].AmazonOrderIdstringID of the Amazon order
data[].BuyerInfoobjectInformation about the buyer
data[].BuyerRequestedCancelobjectInformation about buyer's request for cancellation
data[].CODFeeobjectCash on delivery fee
data[].CODFeeDiscountobjectDiscount on cash on delivery fee
data[].ConditionIdstringCondition ID of the product
data[].ConditionNotestringAdditional notes on the condition of the product
data[].ConditionSubtypeIdstringSubtype ID of the product condition
data[].DeemedResellerCategorystringCategory indicating if the seller is considered a reseller
data[].IossNumberstringImport One Stop Shop number
data[].IsGiftstringFlag indicating if the order is a gift
data[].IsTransparencybooleanFlag indicating if transparency is applied
data[].ItemPriceobjectPrice of the item
data[].ItemTaxobjectTax applied on the item
data[].LastUpdateDatestringDate and time of the last update
data[].OrderItemIdstringID of the order item
data[].PointsGrantedobjectPoints granted for the purchase
data[].PriceDesignationstringDesignation of the price
data[].ProductInfoobjectInformation about the product
data[].PromotionDiscountobjectDiscount applied due to promotion
data[].PromotionDiscountTaxobjectTax applied on the promotion discount
data[].PromotionIdsarrayIDs of promotions applied
data[].QuantityOrderedintegerQuantity of the item ordered
data[].QuantityShippedintegerQuantity of the item shipped
data[].ScheduledDeliveryEndDatestringEnd date for scheduled delivery
data[].ScheduledDeliveryStartDatestringStart date for scheduled delivery
data[].SellerSKUstringSKU of the seller
data[].SerialNumberRequiredbooleanFlag indicating if serial number is required
data[].SerialNumbersarrayList of serial numbers
data[].ShippingDiscountobjectDiscount applied on shipping
data[].ShippingDiscountTaxobjectTax applied on the shipping discount
data[].ShippingPriceobjectPrice of shipping
data[].ShippingTaxobjectTax applied on shipping
data[].StoreChainStoreIdstringID of the store chain
data[].TaxCollectionobjectInformation about tax collection
data[].TitlestringTitle of the product

List Financial Event Groups

List Financial Event Groups List

Returns financial event groups for a given date range.

Python SDK

await amazon_seller_partner.list_financial_event_groups.list()

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "list_financial_event_groups",
"action": "list"
}'

Parameters

Parameter NameTypeRequiredDescription
FinancialEventGroupStartedAfterstringNoReturn groups opened after this date (ISO 8601 format).
FinancialEventGroupStartedBeforestringNoReturn groups opened before this date (ISO 8601 format).
MaxResultsPerPageintegerNoMaximum number of results to return per page.
NextTokenstringNoA string token returned in a previous response for pagination.
Response Schema

Records

Field NameTypeDescription
FinancialEventGroupIdstring
ProcessingStatusstring
FundTransferStatusstring
OriginalTotalobject
ConvertedTotalobject
FundTransferDatestring
TraceIdstring
AccountTailstring
BeginningBalanceobject
FinancialEventGroupStartstring
FinancialEventGroupEndstring

Meta

Field NameTypeDescription
next_tokenstring

Search and filter list financial event groups records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

Python SDK

await amazon_seller_partner.list_financial_event_groups.search(
query={"filter": {"eq": {"AccountTail": "<str>"}}}
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "list_financial_event_groups",
"action": "search",
"params": {
"query": {"filter": {"eq": {"AccountTail": "<str>"}}}
}
}'

Parameters

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields

Field NameTypeDescription
AccountTailstringThe last digits of the account number
BeginningBalanceobjectBeginning balance
ConvertedTotalobjectConverted total
FinancialEventGroupEndstringEnd datetime of the financial event group
FinancialEventGroupIdstringUnique identifier for the financial event group
FinancialEventGroupStartstringStart datetime of the financial event group
FundTransferDatestringDate the fund transfer occurred
FundTransferStatusstringStatus of the fund transfer
OriginalTotalobjectOriginal total amount
ProcessingStatusstringProcessing status of the financial event group
TraceIdstringUnique identifier for tracing
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[].AccountTailstringThe last digits of the account number
data[].BeginningBalanceobjectBeginning balance
data[].ConvertedTotalobjectConverted total
data[].FinancialEventGroupEndstringEnd datetime of the financial event group
data[].FinancialEventGroupIdstringUnique identifier for the financial event group
data[].FinancialEventGroupStartstringStart datetime of the financial event group
data[].FundTransferDatestringDate the fund transfer occurred
data[].FundTransferStatusstringStatus of the fund transfer
data[].OriginalTotalobjectOriginal total amount
data[].ProcessingStatusstringProcessing status of the financial event group
data[].TraceIdstringUnique identifier for tracing

List Financial Events

List Financial Events List

Returns financial events for a given date range.

Python SDK

await amazon_seller_partner.list_financial_events.list()

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "list_financial_events",
"action": "list"
}'

Parameters

Parameter NameTypeRequiredDescription
PostedAfterstringNoReturn events posted after this date (ISO 8601 format).
PostedBeforestringNoReturn events posted before this date (ISO 8601 format).
MaxResultsPerPageintegerNoMaximum number of results to return per page.
NextTokenstringNoA string token returned in a previous response for pagination.
Response Schema

Records

Field NameTypeDescription
ShipmentEventListarray<object>
ShipmentSettleEventListarray<object>
RefundEventListarray<object>
GuaranteeClaimEventListarray<object>
ChargebackEventListarray<object>
ChargeRefundEventListarray<object>
PayWithAmazonEventListarray<object>
ServiceProviderCreditEventListarray<object>
RetrochargeEventListarray<object>
RentalTransactionEventListarray<object>
ProductAdsPaymentEventListarray<object>
ServiceFeeEventListarray<object>
SellerDealPaymentEventListarray<object>
DebtRecoveryEventListarray<object>
LoanServicingEventListarray<object>
AdjustmentEventListarray<object>
SAFETReimbursementEventListarray<object>
SellerReviewEnrollmentPaymentEventListarray<object>
FBALiquidationEventListarray<object>
CouponPaymentEventListarray<object>
ImagingServicesFeeEventListarray<object>
NetworkComminglingTransactionEventListarray<object>
AffordabilityExpenseEventListarray<object>
AffordabilityExpenseReversalEventListarray<object>
TrialShipmentEventListarray<object>
TDSReimbursementEventListarray<object>
TaxWithholdingEventListarray<object>
RemovalShipmentEventListarray<object>
RemovalShipmentAdjustmentEventListarray<object>
ValueAddedServiceChargeEventListarray<object>
CapacityReservationBillingEventListarray<object>
FailedAdhocDisbursementEventListarray<object>
AdhocDisbursementEventListarray<object>
PerformanceBondRefundEventListarray<object>
EBTRefundReimbursementOnlyEventListarray<object>

Meta

Field NameTypeDescription
next_tokenstring

Search and filter list financial events records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

Python SDK

await amazon_seller_partner.list_financial_events.search(
query={"filter": {"eq": {"AdhocDisbursementEventList": []}}}
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "list_financial_events",
"action": "search",
"params": {
"query": {"filter": {"eq": {"AdhocDisbursementEventList": []}}}
}
}'

Parameters

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields

Field NameTypeDescription
AdhocDisbursementEventListarrayList of adhoc disbursement events
AdjustmentEventListarrayList of adjustment events
AffordabilityExpenseEventListarrayList of affordability expense events
AffordabilityExpenseReversalEventListarrayList of affordability expense reversal events
CapacityReservationBillingEventListarrayList of capacity reservation billing events
ChargeRefundEventListarrayList of charge refund events
ChargebackEventListarrayList of chargeback events
CouponPaymentEventListarrayList of coupon payment events
DebtRecoveryEventListarrayList of debt recovery events
FBALiquidationEventListarrayList of FBA liquidation events
FailedAdhocDisbursementEventListarrayList of failed adhoc disbursement events
GuaranteeClaimEventListarrayList of guarantee claim events
ImagingServicesFeeEventListarrayList of imaging services fee events
LoanServicingEventListarrayList of loan servicing events
NetworkComminglingTransactionEventListarrayList of network commingling events
PayWithAmazonEventListarrayList of Pay with Amazon events
PerformanceBondRefundEventListarrayList of performance bond refund events
PostedBeforestringDate filter for events posted before
ProductAdsPaymentEventListarrayList of product ads payment events
RefundEventListarrayList of refund events
RemovalShipmentAdjustmentEventListarrayList of removal shipment adjustment events
RemovalShipmentEventListarrayList of removal shipment events
RentalTransactionEventListarrayList of rental transaction events
RetrochargeEventListarrayList of retrocharge events
SAFETReimbursementEventListarrayList of SAFET reimbursement events
SellerDealPaymentEventListarrayList of seller deal payment events
SellerReviewEnrollmentPaymentEventListarrayList of seller review enrollment events
ServiceFeeEventListarrayList of service fee events
ServiceProviderCreditEventListarrayList of service provider credit events
ShipmentEventListarrayList of shipment events
ShipmentSettleEventListarrayList of shipment settlement events
TDSReimbursementEventListarrayList of TDS reimbursement events
TaxWithholdingEventListarrayList of tax withholding events
TrialShipmentEventListarrayList of trial shipment events
ValueAddedServiceChargeEventListarrayList of value-added service charge events
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[].AdhocDisbursementEventListarrayList of adhoc disbursement events
data[].AdjustmentEventListarrayList of adjustment events
data[].AffordabilityExpenseEventListarrayList of affordability expense events
data[].AffordabilityExpenseReversalEventListarrayList of affordability expense reversal events
data[].CapacityReservationBillingEventListarrayList of capacity reservation billing events
data[].ChargeRefundEventListarrayList of charge refund events
data[].ChargebackEventListarrayList of chargeback events
data[].CouponPaymentEventListarrayList of coupon payment events
data[].DebtRecoveryEventListarrayList of debt recovery events
data[].FBALiquidationEventListarrayList of FBA liquidation events
data[].FailedAdhocDisbursementEventListarrayList of failed adhoc disbursement events
data[].GuaranteeClaimEventListarrayList of guarantee claim events
data[].ImagingServicesFeeEventListarrayList of imaging services fee events
data[].LoanServicingEventListarrayList of loan servicing events
data[].NetworkComminglingTransactionEventListarrayList of network commingling events
data[].PayWithAmazonEventListarrayList of Pay with Amazon events
data[].PerformanceBondRefundEventListarrayList of performance bond refund events
data[].PostedBeforestringDate filter for events posted before
data[].ProductAdsPaymentEventListarrayList of product ads payment events
data[].RefundEventListarrayList of refund events
data[].RemovalShipmentAdjustmentEventListarrayList of removal shipment adjustment events
data[].RemovalShipmentEventListarrayList of removal shipment events
data[].RentalTransactionEventListarrayList of rental transaction events
data[].RetrochargeEventListarrayList of retrocharge events
data[].SAFETReimbursementEventListarrayList of SAFET reimbursement events
data[].SellerDealPaymentEventListarrayList of seller deal payment events
data[].SellerReviewEnrollmentPaymentEventListarrayList of seller review enrollment events
data[].ServiceFeeEventListarrayList of service fee events
data[].ServiceProviderCreditEventListarrayList of service provider credit events
data[].ShipmentEventListarrayList of shipment events
data[].ShipmentSettleEventListarrayList of shipment settlement events
data[].TDSReimbursementEventListarrayList of TDS reimbursement events
data[].TaxWithholdingEventListarrayList of tax withholding events
data[].TrialShipmentEventListarrayList of trial shipment events
data[].ValueAddedServiceChargeEventListarrayList of value-added service charge events

Catalog Items

Catalog Items List

Search for items in the Amazon catalog by keywords or identifiers.

Python SDK

await amazon_seller_partner.catalog_items.list(
marketplace_ids="<str>"
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "catalog_items",
"action": "list",
"params": {
"marketplaceIds": "<str>"
}
}'

Parameters

Parameter NameTypeRequiredDescription
marketplaceIdsstringYesA marketplace identifier.
keywordsstringNoKeywords to search for in the Amazon catalog.
identifiersstringNoProduct identifiers to search for (ASIN, EAN, UPC, etc.).
identifiersType"ASIN" | "EAN" | "GTIN" | "ISBN" | "JAN" | "MINSAN" | "SKU" | "UPC"NoType of identifiers (required when identifiers is set).
includedDatastringNoData sets to include in the response.
pageSizeintegerNoNumber of items to return per page.
pageTokenstringNoToken for pagination returned by a previous request.
Response Schema

Records

Field NameTypeDescription
asinstring
attributesobject
classificationsarray<object>
dimensionsarray<object>
identifiersarray<object>
imagesarray<object>
productTypesarray<object>
relationshipsarray<object>
salesRanksarray<object>
summariesarray<object>
vendorDetailsarray<object>

Meta

Field NameTypeDescription
next_tokenstring
number_of_resultsinteger

Catalog Items Get

Retrieves details for an item in the Amazon catalog by ASIN.

Python SDK

await amazon_seller_partner.catalog_items.get(
asin="<str>",
marketplace_ids="<str>"
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "catalog_items",
"action": "get",
"params": {
"asin": "<str>",
"marketplaceIds": "<str>"
}
}'

Parameters

Parameter NameTypeRequiredDescription
asinstringYesThe Amazon Standard Identification Number (ASIN) of the item.
marketplaceIdsstringYesA marketplace identifier.
includedDatastringNoData sets to include in the response.
Response Schema

Records

Field NameTypeDescription
asinstring
attributesobject
classificationsarray<object>
dimensionsarray<object>
identifiersarray<object>
imagesarray<object>
productTypesarray<object>
relationshipsarray<object>
salesRanksarray<object>
summariesarray<object>
vendorDetailsarray<object>

Reports

Reports List

Returns report details for the reports that match the specified filters.

Python SDK

await amazon_seller_partner.reports.list()

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "reports",
"action": "list"
}'

Parameters

Parameter NameTypeRequiredDescription
reportTypesstringNoA list of report types used to filter reports.
processingStatusesstringNoA list of processing statuses used to filter reports.
marketplaceIdsstringNoA list of marketplace identifiers used to filter reports.
pageSizeintegerNoMaximum number of reports to return per page.
createdSincestringNoEarliest report creation date and time (ISO 8601 format).
createdUntilstringNoLatest report creation date and time (ISO 8601 format).
nextTokenstringNoA string token returned in a previous response for pagination.
Response Schema

Records

Field NameTypeDescription
reportIdstring
reportTypestring
createdTimestring
processingStatus"IN_QUEUE" | "IN_PROGRESS" | "DONE" | "CANCELLED" | "FATAL"
dataStartTimestring
dataEndTimestring
reportScheduleIdstring
processingStartTimestring
processingEndTimestring
reportDocumentIdstring
marketplaceIdsarray<string>

Meta

Field NameTypeDescription
next_tokenstring

Reports Get

Returns report details including status and report document ID for a specified report.

Python SDK

await amazon_seller_partner.reports.get(
report_id="<str>"
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "reports",
"action": "get",
"params": {
"reportId": "<str>"
}
}'

Parameters

Parameter NameTypeRequiredDescription
reportIdstringYesThe identifier for the report.
Response Schema

Records

Field NameTypeDescription
reportIdstring
reportTypestring
createdTimestring
processingStatus"IN_QUEUE" | "IN_PROGRESS" | "DONE" | "CANCELLED" | "FATAL"
dataStartTimestring
dataEndTimestring
reportScheduleIdstring
processingStartTimestring
processingEndTimestring
reportDocumentIdstring
marketplaceIdsarray<string>